<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Domain TLD Registrars
 *
 * @package    Domain
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Domain_Registrar extends ORM_OSB {
	/**
	 * The button that provides a login to the Registrar to manage the domain license
	 */
	public function manage_button(Model_Service_Plugin_Domain $spdo,$t) {
		$c = sprintf('Service_Domain_%s',$this->file);
		if (! class_exists($c))
			return '';

		$po = new $c($this->id);

		return $po->manage_button($spdo,$t);
	}
}
?>
